<!-- #include file="../ctw-classes.asp" -->
<%
' -----------------------------------------------------------------------------------------------------------
' (c) 2011 code to web. All rights reserved
'
' Kontakt  : support@code-to-web.com
' Anschrift: code to web, Flussgrabenstrasse 5A, 9445 Rebstein, Switzerland
' Telefon  : +41 / 71 / 534 3097
' WWW      : http://www.code-to-web.com
'
' Alle Rechte vorbehalten. Insbesondere sind Vervielfältigungen, Verbreitungen,
' Übersetzungen, die Be-, Um- und Verarbeitung und Einspeicherung 
' in elektronische Systeme urheberrechtlich geschützt. Eine Verwertung ist nur 
' mit Zustimmung von code to web zulässig.
' Rechtsverletzungen werden zivil- und strafrechtlich verfolgt. 
'
' Die Software, auch auszugsweise, darf nicht ohne vorherige Genehmigung von 
' code to web dritten gegenüber weitergegeben und zugänglich gemacht werden.
'
' Änderungen des Quelltextes sind ausschliesslich nur dann zulässig und
' im folgenden Rahmen gestattet wenn:
'
' 1. Copyrightvermerke und Kommentare unverändert bleiben.
' 2. Eigenschaften der Software nicht verändert, bzw. erweitert werden,
'    durch Bereitstellung zusätzlicher Funktionalitäten, die 
'    code to web in Ihrem Angebot hat und zugekauft werden können.
' 3. Einschränkungen von Funktionalitäten der Software entfernt oder geändert
'    werden, insbesondere bei der Prüfung von Registrationsschlüsseln.
' 4. Ausgaben von Copyrightinformationen müssen erhalten bleiben. Hierzu
'    zählen auch "print" Anweisungen mit Copyrightinformationen.
' 5. In den geänderten Modulen auf die Veränderung, deren Zeitpunkt 
'    und den Urheber der Veränderung hingewiesen wird.
' 6. Der geänderte Quelltext, ohne ausdrückliche Genehmigung von
'    code to web, dritten gegenüber nicht weitergeben und 
'    zugänglich gemacht wird. Abgeänderte Module dürfen nur auf dem erworbenen 
'    System angewandt werden.
' 7. Die geänderten Module dürfen ausschliesslich in diesem System
'    betrieben werden und nicht in anderen Systemen integriert und genutzt werden.
'    Ansonsten ist zuvor eine schriftliche Ermächtigung seitens code to web 
'    einzuholen.
' 8. code to web übernimmt keine Garantie und Gewährleistung
'    für die Systemsicherheit und die Funktionsfähigkeit des Systems bei
'    abgeänderten Modulen.
' 9. Änderungen müssen code to web mitgeteilt und zugänglich 
'    gemacht werden, um diese in das System zu integrieren, damit alle 
'    Kunden von Verbesserungen profitieren.
'
' -----------------------------------------------------------------------------------------------------------

Call SetDialogLang(Array("dialog-lang.xml"))
strTitle    = dicDialog.Item(1)
intDebug    = 0    '1 = Display the RQL Query | 2 = Display the RQL Response | 3 = Display both
intWriteLog = 0    '1 = Writes a logfile with the RQL Query | 2 = Writes a logfile with the RQL Response | 3 = Writes a logfile with both
                   'The logfile was saved in the current directory
bBack1Step  = false
bBack       = false
bNext       = false
bStart      = false
bSave       = false

Function Options()
  info = ""
  output = "<input type=""hidden"" name=""assign"" value=""1""/>"
  If Session("TreeType") = "project.4000" Then 'Administer Content Classes
    info = dicDialog.Item(2)
    output = output & "<input type=""hidden"" name=""all"" value=""1""/>"
  ElseIf Session("TreeType") = "project.4005" Then 'Content Class Folder
    info = dicDialog.Item(3)
    output = output & "<input type=""hidden"" name=""folder"" value=""" & Session("TreeGuid") & """/>"
  ElseIf Session("TreeType") = "project.4025" Then 'Content Elements
    info = dicDialog.Item(4)
    output = output & "<input type=""hidden"" name=""cclass"" value=""" & Session("TreeParentGuid") & """/>"
  ElseIf Session("TreeType") = "app.4015" Then 'Content Class
    info = dicDialog.Item(4)
    output = output & "<input type=""hidden"" name=""cclass"" value=""" & Session("TreeGuid") & """/>"
  End If
  GlobalOptions = LoadGlobalOptions()
  For Each Key In TextEditorOptions
    active = ""
    If NOT GlobalOptions And Key Then
      active = "checked"
    End If
    output = output & "<input type=""checkbox"" name=""OT" & Key & """ value=""1"" " & active & "/> " & TextEditorOptions.Item(Key) & "<br/>"
  Next
  output = output & "<br/><a href=""#"" onclick=""StartAction('Checkit', this.checked, '')"">" & dicDialog.Item(5) & "</a>"
  Options = Display(Array(dicDialog.Item(6), output, info))
  bSave = true
End Function

Function GetOptions()
  Set RQL = new ContentClasses
  Set XMLObj = RQL.LoadTemplateElement(Array(Session("TreeGuid")))
  output = "<input type=""hidden"" name=""assign"" value=""1""/><input type=""hidden"" name=""eltGuid"" value=""" & XMLObj.item(0).getAttribute("guid") & """/><input type=""hidden"" name=""languageindependent"" value=""" & XMLObj.item(0).getAttribute("eltlanguageindependent") & """/>"
  If XMLObj.item(0).getAttribute("elttype") = 32 Then
    For Each Key In TextEditorOptions
      active = ""
      If NOT XMLObj.item(0).getAttribute("elteditoroptions") And Key Then
        active = "checked"
      End If
      output = output & "<input type=""checkbox"" name=""OT" & Key & """ value=""1"" " & active & "/> " & TextEditorOptions.Item(Key) & "<br/>"
    Next
    output = output & "<br/><a href=""#"" onclick=""StartAction('Checkit', this.checked, '')"">" & dicDialog.Item(5) & "</a>"
    GetOptions = Display(Array(dicDialog.Item(6), output, dicDialog.Item(7)))
    bSave = true
  Else
    GetOptions = Display(Array(dicDialog.Item(8), "", dicDialog.Item(9)))
  End If
  Set XMLObj = nothing
  Set RQL = nothing
End Function

Function Save()
  Set RQL = new ContentClasses
  If Request.Form("all") = 1 Or Request.Form("folder") <> "" Then
    Set XMLObj = RQL.ListTemplates(Array(Request.Form("folder")))
    With XMLObj
      For i = 0 To .length - 1
        Set XMLObj2 = RQL.GetElementContent(Array(.item(i).getAttribute("guid"), Session("LanguageVariantId")))
        For a = 0 To XMLObj2.length - 1
          If XMLObj2.item(a).getAttribute("elttype") = 32 Then
            strXMLElements = "<ELEMENT action=""save"" guid=""" & XMLObj2.item(a).getAttribute("guid") & """ eltlanguageindependent=""" & XMLObj2.item(a).getAttribute("eltlanguageindependent") & """ elteditoroptions=""" & CreateValue() & """ ></ELEMENT>"
            Call RQL.PreAssignElements(Array(Session("LanguageVariantId"), strXMLElements))
          End If
        Next
      Next
    End With
    output = "<h2>" & dicDialog.Item(10) & "</h2>"
  ElseIf Request.Form("cclass") <> "" Then
    Set XMLObj = RQL.GetElementContent(Array(Request.Form("cclass"), Session("LanguageVariantId")))
    With XMLObj
      For i = 0 To .length - 1
        If .item(i).getAttribute("elttype") = 32 Then
          strXMLElements = "<ELEMENT action=""save"" guid=""" & .item(i).getAttribute("guid") & """ eltlanguageindependent=""" & .item(i).getAttribute("eltlanguageindependent") & """ elteditoroptions=""" & CreateValue() & """ ></ELEMENT>"
          Call RQL.PreAssignElements(Array(Session("LanguageVariantId"), strXMLElements))
        End If
      Next
    End With
    output = "<h2>" & dicDialog.Item(10) & "</h2>"
  Else
    strXMLElements = "<ELEMENT action=""save"" guid=""" & Request.Form("eltGuid") & """ eltlanguageindependent=""" & Request.Form("languageindependent") & """ elteditoroptions=""" & CreateValue() & """ ></ELEMENT>"
    Call RQL.PreAssignElements(Array(Session("LanguageVariantId"), strXMLElements))
    output = "<h2>" & dicDialog.Item(10) & "</h2>"
  End If
  Call SaveGlobalOptions()
  Set RQL = nothing
  Save = Display(Array(dicDialog.Item(11), output))
End Function

Function CreateValue()
  Number = 0
  For Each Key In TextEditorOptions
    If Request.Form("OT" & Key) <> 1 Then
      Number = Number + Key
    End If
  Next
  CreateValue = Number
End Function

Function LoadGlobalOptions()
  filename = split(Request.ServerVariables("SCRIPT_NAME"), "/")
  file = Replace(Request.ServerVariables("PATH_TRANSLATED"), filename(Ubound(filename)) , strProjectGuid & ".txt")
  Set objFSO = CreateObject("Scripting.FileSystemObject")
  If objFSO.FileExists(file) Then
    Set objTextFile = objFSO.OpenTextFile(file, 1, True, -1)
    With objTextFile
      LoadGlobalOptions = .ReadLine
      .Close
    End With
    Set objTextFile = nothing
  Else
    LoadGlobalOptions = "0"
  End If
  Set objFSO = nothing
End Function

Sub SaveGlobalOptions()
  filename = split(Request.ServerVariables("SCRIPT_NAME"), "/")
  file = Replace(Request.ServerVariables("PATH_TRANSLATED"), filename(Ubound(filename)) , strProjectGuid & ".txt")
  Set objFSO = CreateObject("Scripting.FileSystemObject")
  Set objTextFile = objFSO.OpenTextFile(file, 2, True, -1)
  With objTextFile
    .Write(CreateValue())
    .Close
  End With
  Set objFSO = nothing
  Set objTextFile = nothing
End Sub
%>
